---
apiVersion: "v1"
kind: "Template"
labels: {}
metadata:
  annotations:
    fabric8.templates/summary: "Implements the OpenShift Templates REST API so templates\
      \ can be used on vanilla Kubernetes environments"
    description: "Implements the OpenShift Templates REST API so templates can be\
      \ used on vanilla Kubernetes environments "
    fabric8.templates/iconUrl: "https://cdn.rawgit.com/fabric8io/fabric8-devops/templates/master/app-templates/src/main/fabric8/icon.svg"
  labels: {}
  name: "templates"
objects:
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations: {}
    labels:
      project: "templates"
      provider: "fabric8"
      version: "2.2.119"
      group: "io.fabric8.apps"
    name: "templates"
  spec:
    deprecatedPublicIPs: []
    externalIPs: []
    ports:
    - port: 80
      protocol: "TCP"
      targetPort: 8080
    selector:
      project: "templates"
      provider: "fabric8"
      group: "io.fabric8.apps"
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/git-branch: "release-v2.2.119"
      fabric8.io/git-commit: "e0f5ac3eb563a793acd9696cd8eb8608d2cb38c8"
      fabric8.io/git-url: "http://gogs.release.cd.fabric8.io/gogsadmin/oss-parent/commit/e0f5ac3eb563a793acd9696cd8eb8608d2cb38c8"
      fabric8.io/build-url: "http://jenkins.release.cd.fabric8.io/job/oss-parent/1"
      fabric8.io/build-id: "1"
    labels:
      project: "templates"
      provider: "fabric8"
      version: "2.2.119"
      group: "io.fabric8.apps"
    name: "templates"
  spec:
    replicas: 1
    selector:
      project: "templates"
      provider: "fabric8"
      version: "2.2.119"
      group: "io.fabric8.apps"
    template:
      metadata:
        annotations: {}
        labels:
          project: "templates"
          provider: "fabric8"
          version: "2.2.119"
          group: "io.fabric8.apps"
      spec:
        containers:
        - args: []
          command: []
          env:
          - name: "DATA_DIR"
            value: "/data/templates"
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "fabric8/templates:2.2.119"
          name: "templates"
          ports:
          - containerPort: 8080
            name: "http"
          - containerPort: 8778
            name: "jolokia"
          securityContext: {}
          volumeMounts:
          - mountPath: "/data"
            name: "template-data"
            readOnly: false
        imagePullSecrets: []
        nodeSelector: {}
        volumes:
        - gitRepo:
            repository: "https://github.com/fabric8io/templates.git"
            revision: "master"
          name: "template-data"
parameters: []
